Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.part
Interface IPageSite

All Superinterfaces:
  IAdaptable, IWorkbenchSite

All Known Implementing Classes:
  PageSite

public interface IPageSite
extends IWorkbenchSite

The primary interface between a page and the outside world.

The workbench exposes its implemention of page sites via this interface, which is not intended to be implemented or extended by clients.

Method Summary
`IActionBars` | `getActionBars()` Returns the action bars for this page site.
`void` | `registerContextMenu(String menuId, MenuManager menuManager, ISelectionProvider selectionProvider)` Registers a pop-up menu with a particular id for extension.

Methods inherited from interface org.eclipse.ui.IWorkbenchSite
`getPage, getSelectionProvider, getShell, getWorkbenchWindow, setSelectionProvider`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### registerContextMenu

    public void registerContextMenu(String menuId,
                                    MenuManager menuManager,
                                    ISelectionProvider selectionProvider)

  Registers a pop-up menu with a particular id for extension.

  Within the workbench one plug-in may extend the pop-up menus for a view or editor within another plug-in. In order to be eligible for extension, the menu must be registered by calling `registerContextMenu`. Once this has been done the workbench will automatically insert any action extensions which exist.

  A unique menu id must be provided for each registered menu. This id should be published in the Javadoc for the page.

  Any pop-up menu which is registered with the workbench should also define a `GroupMarker` in the registered menu with id `IWorkbenchActionConstants.MB_ADDITIONS`. Other plug-ins will use this group as a reference point for insertion. The marker should be defined at an appropriate location within the menu for insertion.

  Parameters:
    `menuId` - the menu id
    `menuManager` - the menu manager
    `selectionProvider` - the selection provider

### getActionBars

    public IActionBars getActionBars()

  Returns the action bars for this page site. Pages have exclusive use of their site's action bars.

  Returns:
    the action bars

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.